checkLocations;

figure;
hold on;

ylabel('Location');
xlabel('Time (s)');

for i = 1 : length(allLocNames)
    allLocNames(i) = strrep(allLocNames(i), '_', '~');
    allLocNames(i) = strrep(allLocNames(i), '~default', '');
    allLocNames(i) = strrep(allLocNames(i), 'default~', '');
end

allLocNames = {'', allLocNames{:}};

set(gca,'YTick',[0:length(allLocNames)-1]);
set(gca,'YTickLabel',allLocNames);

numExec = N;
%numExec = 100;

% time vector has very inconsistent lengths for whatever reason: can't
% use it properly: time(2:length(time)-1)
%tColumn = 7;
tColumn = find(strcmp(labels, 't'))

for i = 1 : numExec
    %scatter(valuesALL(i).values(tColumn,:), valuesALL(i).values(1,:), 'o')
    plot(valuesALL(i).values(tColumn,:), valuesALL(i).values(1,:), 'LineStyle', 'none', 'Marker', 'o')
end

xlim([min(time), max(time)]);